%define debug_package %{nil}

Name:           ETL
Version:        0.04.13
Release:        2%{?dist}
Summary:        Extended Template Library

Group:          Development/Libraries
License:        GPLv2+
URL:            http://synfig.org
Source0:        http://downloads.sourceforge.net/synfig/ETL-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Buildrequires:  doxygen
Buildrequires:  autoconf automake
Requires:       pkgconfig

%description
Voria ETL is a multi-platform class and template library designed to add
new datatypes and functions which combine well with the existing
types and functions from the C++ Standard Template Library (STL).


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags} all docs


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
touch -r ChangeLog $RPM_BUILD_ROOT%{_bindir}/ETL-config
touch -r ChangeLog $RPM_BUILD_ROOT%{_includedir}/ETL/etl_profile.h


%clean
rm -rf $RPM_BUILD_ROOT


%check
make check


%files devel
%defattr(-,root,root,-)
%doc README COPYING AUTHORS NEWS
%{_includedir}/ETL/
%{_bindir}/ETL-config
%{_libdir}/pkgconfig/ETL.pc


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 14 2009 Lubomir Rintel <lkundrak@v3.sk> - 0.04.13-1
- New upstream release
- Drop our build patch, since upstream fixed necessary bits

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jan 9 2009 Lubomir Rintel <lkundrak@v3.sk> 0.04.12-1
- New upstream release
- Run regression tests
- Build documentation
- Fix BRs

* Tue May 6 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4.11-4
- Removed some requires and buildrequires to clean stuff up.

* Thu May 1 2008 Marc Wiriadisastra <marc@mwiriadi.id.a> - 0.4.11-3
- Added the lines for timestamp consistency

* Fri Mar 7 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4.11-2
- Added patch to clean up etl-profile_.in
- renamed package to ETL as requested by ralf

* Thu Mar 6 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.4.11-1
- Removed patches
- New version

* Sun Feb 3 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.04-10-3
- Added backported patch adding <cstring>

* Thu Jan 24 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.04-10-2
- Included Ralfs patch for ETL-config

* Sat Jan 12 2008 Marc Wiriadisastra <marc@mwiriadi.id.au> - 0.04.10-1
- new release
